---
schema_version: "1"
id: af95b9e907c3ec2636651b9bcb15b19225092fa4ec26e7568955f78d2a519d69
title: Data Settings (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-settings.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-settings
source_site: developer.salesforce.com
content_type: documentation
content_hash: 52017ebf528f2eea74957599b44008757a5355553a4afd90e83c5fa26a29d016
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Settings (deprecated)

# Data Settings (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get Custom Log Settings

`GET /settings/logging/custom`

Operation ID: `Get Custom Log Settings`. Tags: settings. Security: oauth2\_application.

Action to get custom log settings.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `custom_log_settings`.
    

### PATCH Update Custom Log Settings

`PATCH /settings/logging/custom`

Operation ID: `Update Custom Log Settings`. Tags: settings. Security: oauth2\_application.

Updates the custom log settings.

This endpoint may return the following faults:

*   400 - InvalidCustomLogCategoryException - if one of the categories names are invalid.
*   400 - InvalidLogLevelException - if on a production instance the configured level is DEBUG.
*   400 - InvalidRecipientEmailException - if the email addresses are invalid.

#### Request body (required)

Media type: `application/json, text/xml`. Schema: `custom_log_settings`.

#### Responses

*   **400** `InvalidCustomLogCategoryException` - if one of the categories names are invalid. or `InvalidLogLevelException` - if on a production instance the configured level is DEBUG. or `InvalidRecipientEmailException` - if the email addresses are invalid.
    
    Media type: `application/json, text/xml`. Schema: `fault`.
    
*   **default**
    
    Media type: `application/json, text/xml`. Schema: `custom_log_settings`.
    

## Schemas

### custom\_log\_settings

Document representing custom logging settings.

*   `debug_permitted` (_boolean_) False if the current instance is production.
*   `debug_to_file` (_boolean_) Indicates if custom debug logs are written to file.
*   `email_to` (_string_) Email addresses for fatal log messages with a maximum length of 1000 characters.  
    Maximum length: 1000.
*   `error_to_file` (_boolean_) Indicates if custom error logs are written to file.
*   `fatal_to_file` (_boolean_) Indicates if custom fatal logs are written to file.
*   `info_to_file` (_boolean_) Indicates if custom info logs are written to file.
*   `log_categories` (_array of log\_category_) Defined custom log categories.
*   `root_level` (_string_) Custom root category log level.
*   `warn_to_file` (_boolean_) Indicates if custom warn logs are written to file.

_Example_

```
{
  "debug_permitted": true,
  "debug_to_file": false,
  "email_to": "admin@example.com",
  "error_to_file": true,
  "fatal_to_file": true,
  "info_to_file": false,
  "root_level": "WARN",
  "warn_to_file": true
}
```

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.

### log\_category

Document representing log category settings.

*   `enabled` (_boolean_) Returns true if the log category is enabled.
*   `level` (_string_) Level of the log category.
*   `name` (_string_) Log category name.

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)